com.streambase.sb.operator.parameter

## Class JavaTypePropertyDescriptor

- java.lang.Object
- - java.beans.FeatureDescriptor
  - - java.beans.PropertyDescriptor
    - - com.streambase.sb.operator.parameter.SBPropertyDescriptor
      - - com.streambase.sb.operator.parameter.JavaTypePropertyDescriptor

-     public class JavaTypePropertyDescriptor
      extends SBPropertyDescriptor

  PropertyDescriptor for String properties that wish to provide a chooser to the user in order to select a Java class or interface name in the current Studio project's Build Path. The use of the chooser is optional, and Operators using this descriptor should make no assumptions regarding the validity of the class name entered by the user.

  Currently the chooser supports allowing the user to select one of:

  - Classes
  - Interfaces
  Since:
    6.5
  See Also:
    `SBPropertyDescriptor`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JavaTypePropertyDescriptor.TypeChoice` Studio will display a Java Type chooser dialog for the `JavaTypePropertyDescriptor.TypeChoice` provided to this property descriptor

    - ### Nested classes/interfaces inherited from class com.streambase.sb.operator.parameter.SBPropertyDescriptor

      `SBPropertyDescriptor.SingleValueSetter`

  - ### Field Summary

    - ### Fields inherited from class com.streambase.sb.operator.parameter.SBPropertyDescriptor

      `_expressionInputPort, NOT_AN_EXPRESSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaTypePropertyDescriptor(JavaTypePropertyDescriptor.TypeChoice type, PropertyDescriptor pd, Class<?> beanClass)` Copy a property descriptor.
    `JavaTypePropertyDescriptor(String propertyName, JavaTypePropertyDescriptor.TypeChoice type, Class<?> beanClass)`
    `JavaTypePropertyDescriptor(String propertyName, JavaTypePropertyDescriptor.TypeChoice type, Class<?> beanClass, String readMethodName, String writeMethodName)` Construct a property descriptor with non-standard read/write method names.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JavaTypePropertyDescriptor.TypeChoice` | `getType()`

    - ### Methods inherited from class com.streambase.sb.operator.parameter.SBPropertyDescriptor

      `deprecated, description, displayName, getExpressionInputPort, getMaskDisplay, getMultiLine, getUIHints, isDeprecated, isExpression, isRequired, mask, multiline, optional, setDeprecated, setMaskStringDisplay, setMultiLine, setRequired, setUIHints`

    - ### Methods inherited from class java.beans.PropertyDescriptor

      `createPropertyEditor, equals, getPropertyEditorClass, getPropertyType, getReadMethod, getWriteMethod, hashCode, isBound, isConstrained, setBound, setConstrained, setPropertyEditorClass, setReadMethod, setWriteMethod`

    - ### Methods inherited from class java.beans.FeatureDescriptor

      `attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setDisplayName, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaTypePropertyDescriptor

          public JavaTypePropertyDescriptor(String propertyName,
                                            JavaTypePropertyDescriptor.TypeChoice type,
                                            Class<?> beanClass)
                                     throws IntrospectionException

      Parameters:
        `propertyName` - the name of the property
        `type` - a `JavaTypePropertyDescriptor.TypeChoice` to prompt the user for
        `beanClass` - the operator class containing the property
      Throws:
        `IntrospectionException` - if introspection fails

    - #### JavaTypePropertyDescriptor

          public JavaTypePropertyDescriptor(String propertyName,
                                            JavaTypePropertyDescriptor.TypeChoice type,
                                            Class<?> beanClass,
                                            String readMethodName,
                                            String writeMethodName)
                                     throws IntrospectionException

      Construct a property descriptor with non-standard read/write method names.
      Parameters:
        `propertyName` - the name of the property
        `type` - a `JavaTypePropertyDescriptor.TypeChoice` to prompt the user for
        `beanClass` - the operator class containing the property
        `readMethodName` - the name of the method used to read the property
        `writeMethodName` - the name of the method used to write the property
      Throws:
        `IntrospectionException` - if introspection fails

    - #### JavaTypePropertyDescriptor

          public JavaTypePropertyDescriptor(JavaTypePropertyDescriptor.TypeChoice type,
                                            PropertyDescriptor pd,
                                            Class<?> beanClass)
                                     throws IntrospectionException

      Copy a property descriptor.
      Parameters:
        `type` - a `JavaTypePropertyDescriptor.TypeChoice` to prompt the user for
        `pd` - a property descriptor to copy from
        `beanClass` - the operator class containing the property
      Throws:
        `IntrospectionException` - if introspection fails

  - ### Method Detail

    - #### getType

          public JavaTypePropertyDescriptor.TypeChoice getType()

      Returns:
        the `JavaTypePropertyDescriptor.TypeChoice` for this property descriptor

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.